#
# ABILITY SYSTEM
#
scoreboard players set @a[team=class_archer,tag=!arch_abil_cd,nbt={Inventory:[{Slot:-106b,tag:{Tags:[arch_bow]}}]}] arch.ab 1
clear @a[scores={arch.ab=1..}] bow{Tags:[arch_bow]}
scoreboard players set @a[scores={arch.ab=1..}] arch.used_abil 120
give @a[scores={arch.ab=1..}] minecraft:bow{Tags:[ability_bow],display:{Name:"[{\"text\":\"Ability Bow\",\"color\":\"red\",\"italic\":\"false\"},{\"text\":\"\",\"color\":\"gray\",\"italic\":\"false\"}]"},HideFlags:63,Unbreakable:1b,Enchantments:[{id:"minecraft:power",lvl:3},{id:"minecraft:punch",lvl:1},{id:"minecraft:infinity",lvl:1}]} 1
scoreboard players set @a[scores={arch.ab=1..}] arch.ab 0

#
# ABILITY TIME AND TO COOLDOWN
#

scoreboard players remove @a[scores={arch.used_abil=1..}] arch.used_abil 1
scoreboard players set @a[scores={arch.used_abil=1..2}] arch.abil_cd 1200
execute as @a[scores={arch.used_abil=1..2}] run tag @s add perk_abil_used
clear @a[scores={arch.used_abil=1..2}] bow{Tags:[ability_bow]}
give @a[scores={arch.used_abil=1}] minecraft:bow{Tags:[arch_bow],display:{Name:"[{\"text\":\"Archer's Bow\",\"color\":\"gold\",\"italic\":\"false\"},{\"text\":\" (F to activate Ability)\",\"color\":\"gray\",\"italic\":\"false\"}]"},HideFlags:63,Unbreakable:1b,Enchantments:[{id:"minecraft:power",lvl:3},{id:"minecraft:punch",lvl:1},{id:"minecraft:infinity",lvl:1}]} 1

# IF ABILITY IN COOLDOWN AND TRYING TO ACTIVATE IT
execute if entity @a[tag=arch_abil_cd,nbt={Inventory:[{Slot:-106b,tag:{Tags:[arch_bow]}}]}] run function classes:class_archer/cd_bow

#
# CHARGED ARROR SYSTEM
#
execute at @a[scores={arch.used_abil=1..}] run tag @e[type=arrow,distance=..2] add chg_arr
execute if entity @e[type=minecraft:arrow,nbt={inGround:1b,Tags:["chg_arr"]}] run execute at @e[type=minecraft:arrow,nbt={inGround:1b,Tags:["chg_arr"]}] run summon creeper ~ ~ ~ {NoAI:1b,ExplosionRadius:1b,Fuse:0,Tags:["arr_creeper"],ActiveEffects:[{Id:2b,Amplifier:2b,Duration:100},{Id:9b,Amplifier:2b,Duration:40},{Id:20b,Amplifier:1b,Duration:40}]}
kill @e[type=minecraft:arrow,nbt={inGround:1b,Tags:["chg_arr"]}]

#
# MISC
#
title @a[team=class_archer,scores={arch.abil_cd=1..}] actionbar ["",{"text":"Ability Cooldown: "},{"score":{"name":"*","objective":"arch.abil_cd"},"color":"blue"}]
tag @e[scores={arch.abil_cd=1..}] add arch_abil_cd
scoreboard players remove @e[scores={arch.abil_cd=1..}] arch.abil_cd 1
tag @a[scores={arch.abil_cd=..0}] remove arch_abil_cd

# TELEPORT ARROW IF ITS ON GROUND
tp @e[type=minecraft:arrow,nbt={inGround:1b}] ~ ~-100 ~

#
# EFFECTS
#
effect give @a[team=class_archer,tag=ingame] minecraft:speed 1 1 true
effect give @a[team=class_archer,tag=ingame] minecraft:jump_boost 1 0 true
replaceitem entity @a[team=class_archer,tag=ingame] container.9 arrow{Tags:["und"]}